Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

OpenSesame Portable

2

Comments

  • edited November 2012

    Now available:

    OpenSesame Portable 0.26.4

    This version uses the no-SDL version of PyLink. This means there will be no more troubles with playing sounds. Although we tested furiously, we appreciate feedback if you do experience any problems.

    OpenSesame Portable 0.27-pre30

    This is the portable release of the newest pre-release version of OpenSesame 0.27. Expyriment is added to the site-packages, so the new back-end should run smoothly.

    EDIT: updated to pre12

    EDIT (26-10-2012): updated to pre18

    EDIT (30-11-2012): updated to pre30

  • edited 3:25AM

    First of all, I would just like to say, what an awesome project this is. The portable edition is why I've persuaded my supervisor, that we should use OpenSesame in an upcoming experiment, instead of needing to install dependent libraries for running a matlab-coded experiment at a number of in campus computers. And second, it's really great that you're updating it this fast. Keep up the good work! :)

    I've just downloaded the pre30 release, and found a bug. I'm using the new form widgets, and when I run the experiment, I get the following runtime error:

    Error: Runtime error
    Description: Failed to create widget
    ‘label: _init_() keywords must be strings
    

    And, a lesser bug: the help icon seems to be missing.

    Best regards,
    Jákup

  • edited 3:25AM

    Glad you like it!

    Regarding the error, could you perhaps describe in detail what you did to trigger the error? Please also post the traceback that you can find in the debug window.

    Cheers!

    Buy Me A Coffee

  • edited December 2012

    Well initially it did not reveal anything in the debug window. Only the above error message was displayed in a popup window. When i run OS with the --debug option on, I get the following lines in the debug window, when the same runtime error is displayed:

    canvas.__init__(): morphing into openexp._canvas.legacy
    theme.py(188).load_icons: 
    >>> 
    

    This also occurs with the other backends. [EDIT] Actually, it only occurs with legacy and psycho. xpyriment gives some unicode error, which probably isn't related to this.

    So perhaps the error lies in initiating the canvas? Perhaps it's even related to the missing icon?

    The experiment works in the standard pre 30 release, and I didn't do anything differently.

    Hope that helps a bit :)

    • Jákup
  • edited December 2012

    Hi Jákup,

    My guess is that you are using the form_base plug-in to create a custom form, right? Could you perhaps post the script for that item?

    Cheers!

    Buy Me A Coffee

  • edited December 2012

    Yes I am. But it doesn't seem to be working for any of the form plugins, save for form_multiple_choice, and it doesn't seem to matter what the content is.

    Just try the default template and add a form, and you should be able to replicate the error.

    If not, then we know it's a problem with my setup :)

    EDIT: Btw. I've tried the custom form example from the documentation area as an inline script, which works fine.

    Best regards,

    • Jákup
  • edited December 2012

    Jákup: Indeed, I tried a form in the Python portable package and it crashed as you described. The problem was due to a difference between Python 2.6 (used by the portable package) and 2.7 (used by the official packages). I fixed it, and as of 0.27~pre32, the forms should work with both versions of Python again.

    Edwin: I think I will declare 0.27 'stable' really soon, which is the first version to use Python 2.7 by default. One thing that is a little unfortunate is that the media_player plug-in doesn't work with Python 2.7. Daniel is working on media_player_vlc, which I'll include with 0.27, but unfortunately there are still some issues with that plug-in.

    Are you planning to stick with Python 2.6 for the portable package? If so, it might be good to bundle the media_player with Python portable (is it already, I can't remember?) so that people still have the option to use the media_player. There are installation instruction included with the README of the plug-in:

    Cheers!

    Buy Me A Coffee

  • edited 3:25AM

    Great!
    I just tested it (after downloading the pre32 source into the OpenSesame Portable folder and editing its batch file) and it works like a charm :)
    And thank you very much for the fast update!

    Best regards,
    Jákup

  • edited December 2012

    Actually, version 2.7.3.1 of Portable Python comes with many of the dependencies required by OpenSesame (Matplotlib, NumPy, PyGame, PyQt4, Python Image Library, and PySerial), so it can run out of the box with OpenSesame.

    PsychoPy and PyOpenGL are missing (though they can easily downloaded and added as modules in Portable Python using the "python setup.py install" command), so only the legacy backend works readily. And, of course, PyLink isn't included either, given its proprietary status.

    But, in sum, version 2.7 could make it much easier for you to maintain OpenSesame Portable Edwin :)

    All the best!

    Jákup

  • edited December 2012

    Hi Jákub,

    Thanks for your comment! I appreciate the input.

    What modules come standard with what version of Portable Python isn't really an issue, since it's not that hard to add them ourself. Besides, the distributions that we provide are completely equipped, meaning they run out of the box with OpenSesame anyhow.

    Interestingly, very recently, we've had the same discussion in the 'OpenSesame team' and we think that there isn't really a strong advantage of using 2.7 over 2.6. That being said, Daniel did create a version of OpenSesame Portable using Portable Python 2.7.2 (see here).

    Best!

    Edwin

  • edited 3:25AM

    Hi,

    Is there any way to edit the batch file so that it automatically finds the correct directory for whichever computer it's on? I'd ideally like to be able to send my experiment to some participants as a .zip file, but am unsure how this can be done without instructing each participant to edit the path themselves.

    Thanks in advance! :)

  • edited 3:25AM

    Hi,

    Do you mean the run_opensesame batch file? This already automatically finds it's own directory. Basically, you could send anyone the opensesameportable-0.27.1.1-win32 folder (as a .zip, as you mention), include your own experiments (e.g. an experiment called 'awesome_experiment.opensesame.tar.gz') in the '*/user/Experiments' folder and include a batch file (in the main folder! opensesameportable-0.27.1-1-win32, where run_opensesame.bat is located as well) with the following content:

    ECHO off
    
    title Awesome Experiment
    
    cd .\opensesameportable-0.27.1-1-win32\opensesame-0.27.1
    
    SET /P snr=Subject number: 
    
    ..\PortablePython_1.1_py2.6.1\App\python.exe opensesamerun ..\user\Experiments\awesome_experiment.opensesame.tar.gz --subject=%snr% --logfile=..\Data\subject-%snr%.csv --fullscreen --pylink
    

    Data will be saved in the '*/user/Data' folder.

    If you mean you would want to send just an OpenSesame experiment to your participants they wouldn't be able to run it, since you need OpenSesame (Run) to run .opensesame(.tar.gz) files.

    Does this answer your question?

    Best,

    Edwin

  • edited April 2013

    Hi Edwin,

    Thanks for your reply. I thought that I had to specify the destination in place of the '..', but now the batch file is running fine.

    However, I am having another problem with running the actual experiment. When I run it through portable the experiment crashes when audio is first introduced. I receive the following error: "Attribute Error: 'module' object has no attribute 'Ellipse'". I noticed above you said that sound can cause OS to crash. Is there any way to get around this problem?

    Thanks again!

  • edited 3:25AM

    Hi,

    Great that it's running! It seems the error you mention originates from expyriment, or rather: the expyriment package included with OpenSesame Portable. I'll look into repackaging it. For now, you could fix your problem by switching to a different back-end.

    Good luck!

  • edited June 2013

    As from today, OpenSesame Portable will no longer be based on Python 2.6 Portable. WinPython 2.7 (32bit) will be used in stead.

    WinPython is a portable distribution of Python, as is Python Portable. The main difference is that WinPython is a far more complete package, that is especially designed for scientists. Included is Spyder, a rather complete code editor (my personal favourite!) that resembles the Matlab editor. Libraries that could aid researches (such as NumPy, SciPy and Matplotlib) are included as well.

    The benefit of using WinPython over Python Portable is this completeness. I think this is a nice step forward, but I would appreciate any input you guys have!

    Download page
    Direct link

  • edited 3:25AM

    This looks like a big improvement. Thanks!

    Buy Me A Coffee

  • edited 3:25AM

    Hi,

    It appears to me that the eyelink plugins were not included in portable version 0.27.2. Simply moving the right folders from an earlier version seems to work, but is there a reason for not including them in the new package? Also, when I try to run an experiment that uses the psychopy backend, I get: "canvas_error: Failed to import PsychoPy, probably because it is not (correctly) installed."

    Greetings,

    Markku

  • edited 3:25AM

    Hi Markku,

    That's weird... Could you provide some system information? (primarily which version of Windows you're running).

    I think I kind of forgot the eyelink plug-ins... Oops! I'll try to fix it as soon as possible, thanks for pointing this out! Your suggestion works, though. The portable version works the same as all the other versions: simply moving the plug-in folders to the 'plugins' folder of your OpenSesame should suffice to install them.

    Cheers!

    Edwin

  • edited September 2013

    Hi Markku,

    Also, when I try to run an experiment that uses the psychopy backend, I get: "canvas_error: Failed to import PsychoPy, probably because it is not (correctly) installed."

    To get some more information about what goes wrong, you can also type the following commands into the OpenSesame debug window:

    from psychopy import visual
    from psychopy import core
    

    Both commands should return without giving any output or error message. (But they probably won't.)

    Cheers,
    Sebastiaan

    Buy Me A Coffee

  • edited September 2013

    Hi Edwin and Sebastiaan,

    I'm using xp professional.

    If I remove the import lines from my inline script, it still says this:

    Traceback (most recent call last):
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\libqtopensesame\qtopensesame.py", line 1394, in run_experiment
        exp.end()
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\libopensesame\experiment.py", line 313, in end
        canvas.close_display(self)
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\openexp\canvas.py", line 55, in close_display
        mod = __import__('openexp._canvas.%s' % backend, fromlist=['dummy'])
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\openexp\_canvas\psycho.py", line 36, in <module>
        'Failed to import PsychoPy, probably because it is not (correctly) installed. For installation instructions, please visit http://www.psychopy.org/.')
    canvas_error: Failed to import PsychoPy, probably because it is not (correctly) installed. For installation instructions, please visit http://www.psychopy.org/.
    
    If I write the import commands in the debug window, import core is fine, but import visual results in:
    
    File "<console>", line 1, in <module>
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\psychopy\visual.py", line 20, in <module>    from psychopy import core, platform_specific, logging, preferences, monitors, event
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\psychopy\monitors\__init__.py", line 6, in <module>    import calibTools
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\psychopy\monitors\calibTools.py", line 21, in <module>    from scipy import interpolate
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\scipy\interpolate\__init__.py", line 148, in <module>    from interpolate import *
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\scipy\interpolate\interpolate.py", line 13, in <module>    import scipy.special as spec
      File "C:\HY-data\MKILPELA\WinPython-OpenSesame-0.27.2\python-2.7.3\lib\site-packages\scipy\special\__init__.py", line 525, in <module>    from _cephes import *
    ImportError: DLL load failed: The specified procedure could not be found.
    

    Cheers,

    Markku

  • edited 3:25AM

    Hi Markku,

    Thanks for the information! Regrettably, I can't seem to reproduce the error on a Win XP Pro machine here. I'm currently uploading a new version of the package, now running OpenSesame 0.27.3 with an updated PsychoPy (version 1.78.01). You can download it here, select OpenSesame 0.27.3 under 'WinPython'.

    If this does not solve the problem, it looks like this is not a problem of just the PsychoPy version that comes along with the portable package, it seems to me as though it might be an interaction with your OS. Could it be that your .NET framework is not up to date?

    Good luck!

    Edwin

  • edited September 2013

    Hello Edwin and Sebastian,

    I've got WinPython 0.27.2 running on a lab computer. It works great and I'd like to thank you guys for creating such a convenient way to get OpenSesame up and running rapidly. I'm trying to set up an eye-tracking experiment with the EyeLink, and the experiment works fine in dummy mode, but when I try and run it with the tracker attached I get the following feedback in the debug mode:

    >>> 
    openexp._canvas.psycho.init_display(): window type = pyglet
    openexp._canvas.psycho.init_display(): waitblanking = True
    openexp._canvas.psycho.init_display(): monitor = testMonitor
    openexp.sampler._legacy.init_sound(): sampling freq = 48000, buffer size = 512
    openexp.sampler._legacy.init_sound(): mixer already initialized, closing
    experiment.init_log(): using 'C:/WinPython-OpenSesame-0.27.2/Experiments/eye-tracking/sub999.csv' as logfile (utf-8)
    experiment.run(): experiment started at Thu Sep 05 16:16:11 2013
    libeyelink: failed to import pylink
    eyelink_calibrate(): logging tracker data as sub999.edf
    11.2542 WARNING Creating new monitor...
    
    13.3894 WARNING Use of rgb arguments to stimuli are deprecated. Please use color and colorSpace args instead
    
    13.3898 WARNING User requested fullscreen with size [1024  768], but screen is actually [1280, 1024]. Using actual size
    
    31.2966 WARNING Use of rgb arguments to stimuli are deprecated. Please use color and colorSpace args instead
    
    31.2970 WARNING User requested fullscreen with size [1024  768], but screen is actually [1280, 1024]. Using actual size
    
    Traceback (most recent call last):
      File "C:\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\libqtopensesame\qtopensesame.py", line 1387, in run_experiment
        exp.run()
      File "C:\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\libopensesame\experiment.py", line 280, in run
        self.items[self.start].prepare()
      File "C:\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\libopensesame\sequence.py", line 107, in prepare
        self.experiment.items[_item].prepare()
      File "C:\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\plugins\eyelink_calibrate\eyelink_calibrate.py", line 100, in prepare
        'yes')
      File "C:\WinPython-OpenSesame-0.27.2\opensesame-0.27.2\plugins\eyelink_calibrate\libeyelink.py", line 104, in __init__
        "Failed to connect to the tracker: %s" % e)
    runtime_error: <b>Error:</b> Runtime error<br /><b>Description</b>: Failed to connect to the tracker: global name 'pylink' is not defined
    

    To me, it looks like the problem starts all the way up at the beginning at this line:

    libeyelink: failed to import pylink

    I wonder if I need to go through any additional steps to get pylink ready to go that is not already done for me in WinPython?

    Thanks for the help!

    -Ricky

  • edited September 2013

    Ah, yesh, I see the problem. I'm updating the package; should be online somewhere in the next hour!

    EDIT (13:35): fixed it. Could you try downloading the package again? direct download

    P.S. The problem was in the pylink package. We used to use a bit of a weird version (no SDL), since the regular package somehow interacted with PyGame, causing weird crashes. I forgot that this was a specific package for Python 2.6, which worked perfectly with the former versions of OpenSesame Portable (based on Portable Python 2.6), but does not play nice with the version of WinPython we currently use to package OpenSesame with. I've updated the python version to one that is specifically meant for Python 2.7, so you shouldn't experience any more trouble.

  • edited 3:25AM

    Thanks Edwin! Things are working great now.

    -Ricky

  • edited October 2013

    Hi Edwin,

    I need a text box for my experiment that implements word-processor-like behavior (e.g. mouse interaction with text). Sebastiaan suggested the following script:

    # This code snippet requires the psycho back-end
    from psychopy import gui
    # Define your questions in a dictionary
    info = {
        'Question' : 'Please enter some text',
        'Response' : ''
        }
    # Present a dialog
    infoDlg = gui.DlgFromDict(dictionary=info, title='Question', fixed=['Question'])
    if infoDlg.OK:
        # Set the dialog response ...
        exp.set('dialog_response', infoDlg['Response'])
    else:
        # unless the user pressed 'cancel'
        exp.set('dialog_response', None)
    

    This gives me an error like this:

    Error: Inline script error In: inline_script (run phase) File "dist\psychopy\gui.py", line 8 Python traceback: ImportError: No module named wx
    

    Sebastiaan suggested then I try using Portable Python, so I installed the latest release, WinPython 2.7 version.

    But it still gave me the same error, in the debug window it says"ERROR: avbin.dll failed to load" and suggests I import psychopy.visual as the first item, and also to make sure avbin is installed. So I then added "from psychopy import visual" as the first line of the script, but it still fails with the same error.

    I downloaded the latest stable version of wxPython (wxPython2.8-win32-unicode-py27) and I tried installing it in my local C: Python directory. Then I copied every file to do with that (wx.pyc, wxversion.py, wx.pth and a folder called wx unicode something) from there into the OpenSesame0.27.1win32 main folder. When I try running my script now, with import wx as the first line, it now gives me a new error:

    File "dist\psychopy\gui.py", line 12 Python traceback: AttributeError 'module' object has no attribute. Can you help? I know almost nothing about Python so I am probably doing something really stupid, sorry! Should I just be putting this in a different folder or something? Sebastiaan said normally you would install a python package by opening up a terminal window in the directory where you downloaded the package and running python setup.py install, I know how to do that on Mac but I'm on a Windows so I don't have Terminal. I could also maybe specify a directory under OpenSesame0.27.1win32 when I install wxPython using it's own installer GUI thing, but I'm not sure which directory to use (It wants you to choose a directory "On the Python path") and then I'm not sure what command I should use in my OpenSesame inline script item to actually call it up. Sorry for being a pain! Thanks so much for your help!!

  • edited 3:25AM

    Hi Heather,

    The error you received initially (with the downloadable WinPython package) tells us the wxPython package is missing. I just checked the package and it seems this is indeed the case. This is important for you, as the gui module of PsychoPy relies on wxPython.

    You can add the wxPython library to your WinPython package, but the procedure for this is a bit different from the usual procedure that you describe. The WinPython installation process actually is a tad easier than running setupscripts from a terminal :)

    1. Go to the WinPython folder

    2. Double-click on the program called WinPython Control Panel and wait for it to start up (it's portable software, so this can take a bit more time than you would usually expect)

    3. Go to the 'Install/upgrade packages' tab

    4. Click on the 'Add packages' button on the bottom left of the window

    5. Browse and select the package that you want installed. This package can be an installer (usually .exe or .msi), or a source package (.zip or .tar.gz), or something else. Some of the installers and source packages can be used, some others can't. This depends on what the WinPython software can and cannot do, so you'll simply have to try every package that you have until it you've found a compatible one. For wxPython, I've tried the Windows installer and the source package: the installer doesn't work, and the source package doesn't either.

    6. Since both our options did not work, we'll have to manually install the software anyway. We'll do this in the same fashion you'd normally install a package with a setup script, although we wouldn't want to use our own Python installation for that, but the python.exe that came along with WinPython. However, I've tested this, and it doesn't work either.

    7. At this point, I'd be getting royally ticked off. If you feel the same way, you could opt for the lame solution. This would come down to installing a new 32-bit Python 2.7 on a Windows machine. Then install wxPython, using the installer: http://sourceforge.net/projects/wxpython/files/wxPython/2.9.5.0/wxPython2.9-win32-2.9.5.0-py27.exe/download

    8. Copy the folders associated with the wxPython module to the site-packages directory of WinPython: WinPython-OpenSesame-0.27.3\python-2.7.3\Lib\site-packages

    Good luck!
    Edwin

    Some miscellaneous notes:

    1. There is a terminal in Windows, but it's called the 'Command Prompt'. Click the start button, type cmd in the search bar and hit Enter. Alternatively, go to Start -> All Programs -> Accessories -> Command Prompt

    2. Copy-pasting all folders and files associated with a module sometimes works, but do realize that the contents of those files and folders is specific for the Python installation it was installed in. This means that if you copy-paste a module from a 64-bit Python 2.6, the module will most likely not work on a 32-bit Python 2.7. Also, if you do use the module copying approach, it's best to not copy your files to the OpenSesame main directory, but to the site-packages directory of the Python installation that you are using to run OpenSesame.

  • Hi Edwin,

    Thanks for your help! But unfortunately copying the files for wx over did not work for me either, even with a new installation of wxPython , WinPython, and Python 2.7.5 :( It didn't fail with the same import error pop-up as before this time, but I waited for a long time and nothing happened at that stage in the experiment, and in the debug window there was the same message about avilbin.dll not loading. So if it did work somehow it seemed to cause the system to hang.

    Instead I am just going to use a workaround of running OpenSesame in a window and having them type their response in a separate text editor, but if there are any updates that might fix this I would love to know!

    Thanks again,

    Heather

  • edited 3:25AM

    Hi,

    I am new to OpenSesame and I want to run an experiment via OpenSesame Portable version 0.27.2.

    I wonder whether it is possible to run video files as stimuli. If yes, how? Or do I have to add additional libraries to the Portable Python package?

    Thanks.
    Ciao.

  • edited 3:25AM

    Hi Elena,

    To play back video in OpenSesame, you require a plug-in. The two main plug-ins are the media_player_vlc and the newer media_player_gst, which differ primarily in the underlying library that is used for video playback. I don't believe that either of these plug-ins is included with the Python-portable distribution of OpenSesame, but the media_player_vlc is bundled with the official distribution, which you can get from the main downloads page.

    Alternatively, you can download the Python-portable distribution of OpenSesame and install the media_player_gst plug-in yourself. The installation procedure is described here:

    See also:

    Cheers!
    Sebastiaan

    Buy Me A Coffee

  • edited July 2014

    Hi, I've been trying to get the 2.8.1 package working on WinXP, with little luck...

    EDIT: I have now solved this Leaving the problem and solution here in case it's of use to anyone else.

    (1) there's a typo in the .bat file (path hasn't been updated to opensesame-2.8.1): this is easily fixed.

    solution 1 edit the .bat file as suggested above

    (2) however, with the fix in place, I'm getting the following:

    F:\OpenSesame_Portable\OpenSesame\opensesame-2.8.1>"..\..\python-2.7.3\python.ex
    e" opensesame
    Traceback (most recent call last):
      File "opensesame", line 70, in <module>
        from PyQt4.QtGui import QApplication
    ImportError: DLL load failed: This application has failed to start because the a
    pplication configuration is incorrect. Reinstalling the application may fix this
     problem.
    

    I'm not really a windows person and I'm not sure what I need to do to fix this. Can anyone offer any suggestions?

    solution 2 to run OpenSesame portable on WinXP you probably need to install the Microsoft Visual C++ 2008 Redistributable Package: See here for details and links. Obviously that reduces its "portability" a little, but at least it works :)

    Thanks Edwin for making this package available!

    --MC

Sign In or Register to comment.

agen judi bola , sportbook, casino, togel, number game, singapore, tangkas, basket, slot, poker, dominoqq, agen bola. Semua permainan bisa dimainkan hanya dengan 1 ID. minimal deposit 50.000 ,- bonus cashback hingga 10% , diskon togel hingga 66% bisa bermain di android dan IOS kapanpun dan dimana pun. poker , bandarq , aduq, domino qq , dominobet. Semua permainan bisa dimainkan hanya dengan 1 ID. minimal deposit 10.000 ,- bonus turnover 0.5% dan bonus referral 20%. Bonus - bonus yang dihadirkan bisa terbilang cukup tinggi dan memuaskan, anda hanya perlu memasang pada situs yang memberikan bursa pasaran terbaik yaitu http://45.77.173.118/ Bola168. Situs penyedia segala jenis permainan poker online kini semakin banyak ditemukan di Internet, salah satunya TahunQQ merupakan situs Agen Judi Domino66 Dan BandarQ Terpercaya yang mampu memberikan banyak provit bagi bettornya. Permainan Yang Di Sediakan Dewi365 Juga sangat banyak Dan menarik dan Peluang untuk memenangkan Taruhan Judi online ini juga sangat mudah . Mainkan Segera Taruhan Sportbook anda bersama Agen Judi Bola Bersama Dewi365 Kemenangan Anda Berapa pun akan Terbayarkan. Tersedia 9 macam permainan seru yang bisa kamu mainkan hanya di dalam 1 ID saja. Permainan seru yang tersedia seperti Poker, Domino QQ Dan juga BandarQ Online. Semuanya tersedia lengkap hanya di ABGQQ. Situs ABGQQ sangat mudah dimenangkan, kamu juga akan mendapatkan mega bonus dan setiap pemain berhak mendapatkan cashback mingguan. ABGQQ juga telah diakui sebagai Bandar Domino Online yang menjamin sistem FAIR PLAY disetiap permainan yang bisa dimainkan dengan deposit minimal hanya Rp.25.000. DEWI365 adalah Bandar Judi Bola Terpercaya & resmi dan terpercaya di indonesia. Situs judi bola ini menyediakan fasilitas bagi anda untuk dapat bermain memainkan permainan judi bola. Didalam situs ini memiliki berbagai permainan taruhan bola terlengkap seperti Sbobet, yang membuat DEWI365 menjadi situs judi bola terbaik dan terpercaya di Indonesia. Tentunya sebagai situs yang bertugas sebagai Bandar Poker Online pastinya akan berusaha untuk menjaga semua informasi dan keamanan yang terdapat di POKERQQ13. Kotakqq adalah situs Judi Poker Online Terpercayayang menyediakan 9 jenis permainan sakong online, dominoqq, domino99, bandarq, bandar ceme, aduq, poker online, bandar poker, balak66, perang baccarat, dan capsa susun. Dengan minimal deposit withdraw 15.000 Anda sudah bisa memainkan semua permaina pkv games di situs kami. Jackpot besar,Win rate tinggi, Fair play, PKV Games